Rendley docs

AI tools & models

The params object is model-specific: pass the parameters defined by the schema of the model_id you choose. Call List AI tools & models to see the available models and the parameters each one accepts.

List AI tools

GET /v1/ai/tools

List the available AI tools (actions) and the models available under each.

Request

curl "https://api.rendley.com/v1/ai/tools" \
  -H "Authorization: Bearer YOUR_API_KEY"
const res = await fetch("https://api.rendley.com/v1/ai/tools", {
  headers: { Authorization: "Bearer YOUR_API_KEY" },
});
const { data } = await res.json();
import requests

res = requests.get(
    "https://api.rendley.com/v1/ai/tools",
    headers={"Authorization": "Bearer YOUR_API_KEY"},
)
data = res.json()["data"]
Example response
{
  "data": [
    {
      "action": "string",
      "description": "string",
      "models": [
        {
          "action": "transcribe",
          "description": "string",
          "id": "dalle-3",
          "name": "string",
          "schema": {}
        }
      ]
    }
  ]
}
Response codes
Status Description
200 OK
401 Unauthorized